Package org.eclipse.e4.ui.model.fragment

# Interface MModelFragments

public interface MModelFragments
A representation of the model object 'Model Fragments'.

Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

Since:
  1.0

  The following features are supported:

  - `Imports`
  - `Fragments`

## Method Summary

Modifier and Type
Method
Description
`List<MModelFragment>`
`getFragments()`
Returns the value of the 'Fragments' containment reference list.
`List<MApplicationElement>`
`getImports()`
Returns the value of the 'Imports' containment reference list.

## Method Details

### getImports

List<MApplicationElement> getImports()
Returns the value of the 'Imports' containment reference list. The list contents are of type `MApplicationElement`.

Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Imports' containment reference list.

### getFragments

List<MModelFragment> getFragments()
Returns the value of the 'Fragments' containment reference list. The list contents are of type `MModelFragment`.

Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Fragments' containment reference list.